/*combinator selectors*/


/*div p{
	background-color: red;
}*/

/*section p{
	background-color: red;
}*/

/*body div{
	background-color: red;
}

form label{
	background-color: red;
}

body h2{
	background-color: red;
}

body .parent p{
	background-color: pink;
}*/

/* child selector */

/*div > p{
	background-color: lightblue;
}*/

/*.parent > section{
	background-color: lightblue;
}*/

/*adjacent sibling selector*/

/*p + p{
	background-color: orange;
}*/

/*p + section{
	background-color: orange;
}*/

/*div + p + p{
	background-color: coral;
}*/ /*only fifth paragpraph*/

/*general sibling selector*/

p ~ p{
	background-color: teal;
}